{% extends 'base.html.twig' %}

{% block title %}Film|index{% endblock %}

{% block body %}
    <header class="ht-header">
        <div class="container">
            <nav class="navbar navbar-default navbar-custom">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header logo">
                    <div class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only">Toggle navigation</span>
                        <div id="nav-icon1">
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                    </div>
                </div>

                <div class="collapse navbar-collapse flex-parent" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav flex-child-menu menu-left">
                        <li class="hidden">
                            <a href="#"></a>
                        </li>
                        <li class="dropdown first">
                            <a href="{{ path('app.index') }}" class="btn btn-default lv1 active">
                                Home
                            </a>
                        </li>
                        <li class="dropdown first">
                            <a id ="btn-other" class="btn btn-default lv1">
                                Other movies
                            </a>
                        </li>
                    </ul>
                </div>

            </nav>

            <!-- top search form -->
            <div class="top-search">
                <select>
                    <option value="united">TV show</option>
                    <option value="saab">Others</option>
                </select>
                <input type="text" placeholder="Search for a movie, TV Show or celebrity that you are looking for">
            </div>
        </div>
    </header>
    <div class="slider movie-items">
        <div class="container">
            <div class="row my-auto mx-auto">
                <div  class="slick-multiItemSlider mx-auto my-auto ">
                    {% for film in topThreeFilms %}
                            <div class="movie-item">
                                <div class="">
                                    <a href="{{ path('app.film.details', {'id': film.filmId}) }}">
                                        <img src="{{ 'https://image.tmdb.org/t/p/w500/' ~ film.posterPath }}" alt="" width="285" height="437">
                                    </a>
                                </div>
                                <div class="title-in">
                                    <h6> <a href="{{ path('app.film.details', {'id': film.filmId}) }}">{{ film.title }}</a></h6>
                                    <p><i class="ion-android-star"></i><span>{{ film.voteAverage }}</span> /10</p>
                                </div>
                            </div>
                            {% endfor %}
                </div>
            </div>
        </div>
    </div>

    <div id="scrollspyHeading2" class="page-single" data-bs-spy="scroll" data-bs-target="#bs-example-navbar-collapse-1" data-bs-offset="0">
        <div class="container">
            <div class="row ipad-width">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="flex-wrap-movielist">
                        {% for f in films %}
                        <div class="movie-item-style-2 movie-item-style-1">
                            <a href="{{ path('app.film.details', {'id': f.filmId}) }}">
                                <img src="{{ 'https://image.tmdb.org/t/p/w500/' ~ f.posterPath }}" alt="">
                            </a>
                            <div class="hvr-inner">
                                <a href="{{ path('app.film.details', {'id': f.filmId}) }}"> {{ f.title }}"> Read more
                                    <i class="ion-android-arrow-dropright"></i>
                                </a>

                            </div>
                            <div class="mv-item-infor">
                                <h6><a href="{{ path('app.film.details', {'id': f.filmId}) }}"> {{ f.title }}</a></h6>
                                <p class="rate"><i class="ion-android-star"></i><span>{{ f.voteAverage }}</span> /10</p>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                </div>

            </div>
        </div>
    </div>


    <!-- footer section-->
    <footer class="ht-footer">
        <div class="container">
            <div class="flex-parent-ft">

                <div class="flex-child-ft item2">
                    <h4>Resources</h4>
                    <ul>
                        <li><a href="#">About</a></li>
                        <li><a href="#">Blockbuster</a></li>
                        <li><a href="#">Contact Us</a></li>
                        <li><a href="#">Forums</a></li>
                        <li><a href="#">Blog</a></li>
                        <li><a href="#">Help Center</a></li>
                    </ul>
                </div>
                <div class="flex-child-ft item3">
                    <h4>Legal</h4>
                    <ul>
                        <li><a href="#">Terms of Use</a></li>
                        <li><a href="#">Privacy Policy</a></li>
                        <li><a href="#">Security</a></li>
                    </ul>
                </div>
                <div class="flex-child-ft item4">
                    <h4>Account</h4>
                    <ul>
                        <li><a href="#">My Account</a></li>
                        <li><a href="#">Watchlist</a></li>
                        <li><a href="#">Collections</a></li>
                        <li><a href="#">User Guide</a></li>
                    </ul>
                </div>
                <div class="flex-child-ft item5">
                    <h4>Newsletter</h4>
                    <p>Subscribe to our newsletter system now <br> to get latest news from us.</p>
                    <form action="#">
                        <input type="text" placeholder="Enter your email...">
                    </form>
                    <a href="#" class="btn">Subscribe now <i class="ion-ios-arrow-forward"></i></a>
                </div>
            </div>
        </div>
        <div class="ft-copyright">
            <div class="ft-left">
                <p><a target="_blank" href="#">Templates Hub</a></p>
            </div>
            <div class="backtotop">
                <p><a href="#" id="back-to-top">Back to top  <i class="ion-ios-arrow-thin-up"></i></a></p>
            </div>
        </div>
    </footer>
{% endblock %}